package io.stratosfy.stratosfy_esp_ble_provisioning

import android.bluetooth.BluetoothDevice
import java.util.*
import kotlin.collections.HashMap

//class BleDevice(private val bleDevice: HashMap<String, Any>) {
//    var name: String = bleDevice["name"] as String
//    var uuid: String = bleDevice["uuid"] as String
//    var bluetoothDevice: BluetoothDevice = bleDevice["bluetoothDevice"] as BluetoothDevice
//
//    fun toHashMap(): HashMap<String, Any> {
//        return bleDevice
//    }
//}


class BleDevice {
    lateinit var name: String
    lateinit var uuid: String
    lateinit var bluetoothDevice: BluetoothDevice
    fun toObject(): HashMap<String, Any> {
        val obj: HashMap<String, Any> = HashMap()
        obj["name"] = name
        obj["uuid"] = uuid
        obj["bluetoothDevice"] = bluetoothDevice
        return obj
    }
}


class BleTooth {
    lateinit var uuid: String
    lateinit var name: String
    fun toObject(): HashMap<String, Any> {
        val obj: HashMap<String, Any> = HashMap()
        obj["uuid"] = uuid
        obj["name"] = name
        return obj
    }
}