import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:stratosfy_esp_ble_provisioning/esp_bluetooth_provisioning.dart';


void main() {
  const MethodChannel channel = MethodChannel('esp_bluetooth_provisioning');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await EspBleProvisioning.platformVersion, '42');
  });
}
